<?php
/**
 * Utilisations de pipelines par Immeubles
 *
 * @plugin     Immeubles
 * @copyright  2018 - 2020
 * @author     Rainer Müller
 * @licence    GNU/GPL
 * @package    SPIP\Immeubles\Pipelines
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}


/*
 * Un fichier de pipelines permet de regrouper
 * les fonctions de branchement de votre plugin
 * sur des pipelines existants.
 */





/**
 * Optimiser la base de données
 *
 * Supprime les objets à la poubelle.
 *
 * @pipeline optimiser_base_disparus
 * @param  array $flux Données du pipeline
 * @return array       Données du pipeline
 */
function immeubles_optimiser_base_disparus($flux) {

	sql_delete('spip_immeubles', "statut='poubelle' AND maj < " . $flux['args']['date']);

	return $flux;
}
